"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _useResponsive2 = _interopRequireDefault(require("./useResponsive"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useIsMobile = function useIsMobile() {
  var _useResponsive = (0, _useResponsive2["default"])(),
      isCalculated = _useResponsive.isCalculated,
      lessThan = _useResponsive.lessThan,
      mobileBreakpoint = _useResponsive.mobileBreakpoint;

  var isMobile = lessThan[mobileBreakpoint];
  return (0, _react.useMemo)(function () {
    return {
      isMobile: isMobile,
      isCalculated: isCalculated
    };
  }, [isMobile, isCalculated]);
};

var _default = useIsMobile;
exports["default"] = _default;
module.exports = exports.default;